
/* alle Rechte by achim seeger unter GPL
   myroboter@web.de, wnsche viel Spass damit
*/

#define HT16K33_CMD_BLINK 0x81
#define HT16K33_BLINK_DISPLAYON 0x01 // 0-aus, 1-ein
#define HT16K33_BLINK_OFF 0  // 0-Blinken aus, 1-Blinken an
#define HT16K33_BLINK_2HZ  1
#define HT16K33_BLINK_1HZ  2
#define HT16K33_BLINK_HALFHZ  3
#define HT16K33_CMD_BRIGHTNESS	0xE0
#define HT16K33_CMD_OSCILLATOR 0x20

void HT16K33_Init1(void);					
void HT16K33_SetOscillator1(bool osc_on);	
void HT16K33_Blinken1(uint8_t b);			
void HT16K33_SetBrightness1(uint8_t b);	
void HT16K33_Init2(void);				
void HT16K33_SetOscillator2(bool osc_on);
void HT16K33_Blinken2(uint8_t b);		
void HT16K33_SetBrightness2(uint8_t b);	
void HT16K33_Init3(void);				
void HT16K33_SetOscillator3(bool osc_on);
void HT16K33_Blinken3(uint8_t b);		
void HT16K33_SetBrightness3(uint8_t b);	

void HT16K33_WriteDisplay1(uint8_t start, uint8_t led);	
void HT16K33_WriteDisplay2(uint8_t start, uint8_t led);	
void HT16K33_WriteDisplay3(uint8_t start, uint8_t led);
void HT16K33_WriteDisplay4(uint8_t start, uint8_t led);

void HT16K33_WriteDisplay5(uint8_t start, uint8_t led);
void HT16K33_WriteDisplay6(uint8_t start, uint8_t led);
void HT16K33_WriteDisplay7(uint8_t start, uint8_t led);
void HT16K33_WriteDisplay8(uint8_t start, uint8_t led);

void HT16K33_ClearDisplay1(uint8_t start);	
void HT16K33_ClearDisplay2(uint8_t start);	

uint8_t HT16K33_modul1_addr;
uint8_t HT16K33_modul2_addr;
